Bug 1296665 - freeipa ships minified javascript without minifying it at build time
freeipa ships minified javascript without minifying it at build time
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: IPA Maintainers
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 14:20 EST by Jason Tibbitts
Modified: 2017-07-26 08:47 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Tibbitts 2016-01-07 14:20:23 EST
The Fedora packaging guidelines require that javascript files be minified at build time, instead of being shipped in a pre-minified fashion directly from upstream.  See 
https://fedoraproject.org/wiki/Packaging:JavaScript#Compilation.2FMinification:

If a JavaScript library typically is shipped as minified or compiled code, it must be compiled or minified as part of the RPM build process. Shipping pre-minified or pre-compiled code is unacceptable in Fedora. 

A quick and dirty check:

> file $(find . -name \*.js)|grep long
./install/ui/util/uglifyjs/lib/parse-js.js:               UTF-8 Unicode text, with very long lines
./install/ui/util/build/build.js:                         ASCII text, with very long lines, with no line terminators
./install/ui/src/libs/bootstrap-datepicker.js:            ASCII text, with very long lines
./install/ui/src/libs/qrcode.js:                          ASCII text, with very long lines, with no line terminators
./install/ui/src/libs/jquery.js:                          ASCII text, with very long lines
./install/ui/src/libs/patternfly.js:                      ASCII text, with very long lines, with no line terminators
./install/ui/src/libs/bootstrap.js:                       ASCII text, with very long lines
./install/ui/src/libs/d3.js:                              ASCII text, with very long lines
./install/ui/build/dojo/dojo.js:                          ASCII text, with very long lines, with no line terminators
Comment 1 Tomas Babej 2016-01-26 08:18:18 EST
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5639
Comment 2 Jan Kurik 2016-02-24 09:14:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora End Of Life 2017-07-25 15:44:19 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.